/*
 * CARDCut.cpp
 *
 *  Created on: 13-mar-2009
 *      Author: Sergio Ricciarini, Nicola Mori
 */

/*! @file CARDCut.cpp The CARDCut class implementation file */

#include "CARDCut.h"

int CARDCut::Check(PamLevel2 *event) {

  if (event->GetAcLevel2()->IsHit("CARD1-M") || event->GetAcLevel2()->IsHit("CARD1-E"))
    return 0;
  if (event->GetAcLevel2()->IsHit("CARD2-M") || event->GetAcLevel2()->IsHit("CARD2-E"))
    return 0;
  if (event->GetAcLevel2()->IsHit("CARD3-M") || event->GetAcLevel2()->IsHit("CARD3-E"))
    return 0;
  if (event->GetAcLevel2()->IsHit("CARD4-M") || event->GetAcLevel2()->IsHit("CARD4-E"))
    return 0;

  return CUTOK;

}
